Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class Bot

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.Bot

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Bot extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Bot.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BOT_DISABLED`
  `static final int`
  `BOT_ENABLED`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bot()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Bot.Builder`
  `builder()`
  `BotType`
  `getBotType()`
  `int`
  `getState()`
  `String`
  `getToken()`
  `void`
  `setBotType(BotType botType)`
  `void`
  `setState(int state)`
  `void`
  `setToken(String token)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### BOT_ENABLED

    public static final int BOT_ENABLED
    See Also:
      - Constant Field Values

  - ### BOT_DISABLED

    public static final int BOT_DISABLED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Bot

    public Bot()

- ## Method Details

  - ### getToken

    public String getToken()

  - ### setToken

    public void setToken(String token)

  - ### getState

    public int getState()

  - ### setState

    public void setState(int state)

  - ### getBotType

    public BotType getBotType()

  - ### setBotType

    public void setBotType(BotType botType)

  - ### builder

    public static Bot.Builder builder()